I'm still addressing some of the feedback given by you and Tobias, but I thought I would post an update.

On 02/12/2018 05:44 AM, Anton Gladky wrote:
Hi Kurt,

Just a short review. I did not test the package. But some
stuff should be fixed before it will be uploaded.

As I understand you want to maintain the package under the
umbrella of debian science team? If so, please fix some
corresponding fields (maintaner etc) in d/control.

1. source/include-binaries remove
2. source/options - remove
3. quilt debian/control : quilt - remove
4. VCS - salsa under d/science
5. all lib-packages should be numbered according to its API-version,
something like libopencascade-modeling-algorithms7.2
6. Install files of lib-packages should have something like
usr/lib/*/libTKMath.so.*, not the particular version
7. --parallel option is not needed with debhelper > 10

All of the above are done (but not pushed yet.)

8. Not sure about option -DCMAKE_BUILD_TYPE=Release.

Neither am I--normally when I run eg `ccmake` on the OpenCASCADE source this variable is already set to `Release`, but without this I get an error suggesting it's being set to `none`. I chalked it up to an idiosyncracy in OpenCASCADE.

9. Simplify d/rules. All cp-commands should be replaces by the lines
in d/install-files

Got it--the only one I had a question about was the opencascade-draw7.2.desktop file I have in the debian directory. Is it ok that I now have something like this in opencascade-draw7.2.install?:

../opencascade-draw*.desktop usr/share/applications/

10. Check whether you need mkdir-commands in d/rules

They were superfluous.

11. override_dh_makeshlibs looks questionable


12. Use dh_missing --fail-missing to be sure that all files are installed.

Good suggestion, there were about 300 files not being included, most of them part of opencascade-draw, which isn't used by FreeCAD and thus I hadn't noticed a problem from this.

However, with all the files included the package now FTBFS with a ton of errors like this:

dpkg-shlibdeps: error: cannot find library libTKBinTObj.so.7 needed by debian/opencascade-draw7.2/usr/lib/x86_64-linux-gnu/libTKTObjDRAW.so.7.2.0 (ELF format: 'elf64-x86-64' abi: '0201003e00000000'; RPATH: '')

All the libraries mentioned are files provided by the libopencascade- packages, so I tried adding them to opencascade-draw7.2's Depends: but that didn't resolve it, so I'm a little stuck.

13. Point the first upload into the experimental.


14. Double-check __all__ the files and their licenses to save the time
for FTP-masters.

Will do once I clean up my current work and before I push.

Reply via email to